IBM AIX update for NTP



Published: 2019-08-20
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE ID CVE-2019-8936
CWE ID CWE-476
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
IBM AIX
Operating systems & Components / Operating system

Vendor IBM Corporation

Security Advisory

This security advisory describes one medium risk vulnerability.

1) NULL pointer dereference

Risk: Low

CVSSv3: 5.7 [CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C] [PCI]

CVE-ID: CVE-2019-8936

CWE-ID: CWE-476 - NULL Pointer Dereference

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to a NULL pointer dereference error when processing authenticated mode 6 packets. A remote attacker can send malicious authenticated mode 6 (ntpq) packet from a permitted network address, trigger a NULL pointer dereference error and crash ntpd.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

IBM AIX: 7.1, 7.1.1, 7.1.2, 7.1.3, 7.1.4, 7.1.5, 7.2, 7.2.1, 7.2.2, 7.2.3

CPE External links

http://aix.software.ibm.com/aix/efixes/security/ntp_advisory12.asc

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote authenticated user via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.